doesn't integrate at all on thunderbird 3.1

Bug #599842 reported by mikhael on 2010-06-29
84
This bug affects 12 people
Affects Status Importance Assigned to Milestone
Thunderbird Indicator
High
Unassigned

Bug Description

i wrote this as a comment but did not find an answer. After upgrading to 3.1, the addon doesn't work- no popup notification and no integration with indicator applet. I am a newbie on this, so can't give more details but would really love this fixed as it is a great addon (I am using the newest stable version)..

mikhael (mikhael) wrote :

perhaps worth mentioning- i downgraded back to thunderbird 3.05 and libnotify still didn't work (in any version), also worth mentioning that before the upgrade, everything worked fine..

Ruben Verweij (ruben-verweij) wrote :

Thank you for your bug report. Could you please test this with the latest version from trunk? I believe it is fixed now. Just open a terminal, install bazaar if you don't have it (sudo apt-get install bzr) and type bzr branch lp:libnotify-mozilla to get the latest code. Now run the build.sh file and a .xpi should be created which you can install in Thunderbird. Thanks in advance!

Changed in libnotify-mozilla:
assignee: nobody → Ruben Verweij (ruben-verweij)
importance: Undecided → High
status: New → In Progress
mikhael (mikhael) wrote :

thanks but unfortunately still not working...

mikhael (mikhael) wrote :

if helps, this is what i get in error console:

Error: prefs is not defined
Source File: chrome://libnotifypopups/content/overlay.js
Line: 286

John Kuang (xiphosurus) wrote :

same here. thunderbird 3.1 with libnotify 0.2. no notifications at all. "send test notification" works though. error msg:

Error: uncaught exception: [Exception... "Component returned failure code: 0x80520012 (NS_ERROR_FILE_NOT_FOUND) [nsIFileOutputStream.init]" nsresult: "0x80520012 (NS_ERROR_FILE_NOT_FOUND)" location: "JS frame :: chrome://libnotifypopups/content/overlay.js :: initIndicators :: line 155" data: no]

holbue (bittekeinemail) wrote :

Same here, with thunderbird 3.1 and libnotify 0.2.1. Also tested the latest version from the trunk. Libnotify just doesn't do anything. Nothing shown in Error console.

Shrijit Nair (shrijith1) wrote :

Me too facing the same issue with TB 3.1 and libnotify 0.2.1 (10.04, 32 bit). Getting both the errors in error console.
Error: uncaught exception: [Exception... "Component returned failure code: 0x80520012 (NS_ERROR_FILE_NOT_FOUND) [nsIFileOutputStream.init]" nsresult: "0x80520012 (NS_ERROR_FILE_NOT_FOUND)" location: "JS frame :: chrome://libnotifypopups/content/overlay.js :: initIndicators :: line 255" data: no]

Error: prefs is not defined
Source File: chrome://libnotifypopups/content/overlay.js
Line: 286

[Send test notification works]

Same error message here, TB 3.1 (thunderbird-mozilla-build), libnotify 0.2.1.
One thing to add though. The system has been updated from 9.04 to 9.10 to 10.04.

I have another system that has only been updated from 9.10 to 10.04. Everything works fine there...

Karl (klzjr-deactivatedaccount) wrote :

I am using Ubuntu 10.04 with Thunderbird 3.1 and have installed libnotify-mozilla 0.2.1. I get no errors when installing. libnotify does not integrate into ubuntu indicator applet and does not show notices when I get new mail. When I do a test in preferences the test works.

Al Zhukov (wordtinker) wrote :

I am using Ubuntu 10.04 with Thunderbird 3.1 and libnotify-mozilla 0.2.1.

Integration is not working and I get two errs
Error: this.indicatorStream is undefined
Source File: chrome://libnotifypopups/content/overlay.js
Line: 238

Error: uncaught exception: [Exception... "Component returned failure code: 0x80520012 (NS_ERROR_FILE_NOT_FOUND) [nsIFileOutputStream.init]" nsresult: "0x80520012 (NS_ERROR_FILE_NOT_FOUND)" location: "JS frame :: chrome://libnotifypopups/content/overlay.js :: initIndicators :: line 225" data: no]

Ian van Broesel (ivbroesel) wrote :

I am using Ubuntu 10.04, too but my TB version is 3.1.1 ubuntuzilla build by Mozilla.

There are no notifications at all, the envelope doesn't turn green and there are now entries of thunderbird in the indicator applet.

Ian van Broesel (ivbroesel) wrote :

What are the packages needed to work with libnotify-mozilla.

(There are no notifications at all, the envelope doesn't turn green and there are now entries of thunderbird in the indicator applet.)

Changed in libnotify-mozilla:
status: In Progress → Invalid
Ian van Broesel (ivbroesel) wrote :

i'm sorry, I meant NO thunderbird entries are shown

christian (chmathieu) wrote :

Bonjour de France !

I have the same bug.

Changed in libnotify-mozilla:
status: Invalid → Confirmed
Nikke (nmellegard) wrote :

I also added this to the question created from this bug.

This workaround fixed the problem that no notification popups were shown for me:
1. Navigate to the libnotify extention folder (~/.<email address hidden>)
2. Open the folder 'python'
3. Create an empty file called 'indicator-fifo'

/N

John Kuang (xiphosurus) wrote :

Confirm that Nikke's workaround works for TB3.1.1 with libnotify 2.1 on Ubuntu 10.04. This should be an easy fix for developers to include in the xpi. Thanks!

christian (chmathieu) wrote :

yes, there are notifications but :
- the envelope doesn't turn green,
- there are no entries of thunderbird in the indicator applet.

Ruben Verweij (ruben-verweij) wrote :

Thank you for your bug report. This is a bug, not a question and I'll fix it as soon as possible.

Ruben Verweij (ruben-verweij) wrote :

Could someone please help me getting this bug fixed? It's simple:
1. Open up a Terminal and navigate to the python folder in the libnotify extension folder (~/.<email address hidden>/python)
2. Execute the following command: "python indicator.py indicator-fifo mkfifoonly"
3. Post back the output of the command and whether a file named indicator-fifo was created.
Many thanks in advance!

Changed in libnotify-mozilla:
status: Confirmed → Incomplete

There was no output. But the file was created, besides file size is 0 k

-------- Original-Nachricht --------
Betreff: [Bug 599842] Re: doesn't integrate at all on thunderbird 3.1
Von: Ruben Verweij <email address hidden>
An: <email address hidden>
Datum: Mon Aug 02 2010 22:44:06 GMT+0200 (CET)

> python indicator.py indicator-fifo mkfifoonly

Ian van Broesel (ivbroesel) wrote :

after executing what you posted thunderbird gui doesn't start at
all. process seems to run in background. the only way to get
thunderbird running again is deleting the extension's install folder.

-------- Original-Nachricht --------
Betreff: Re: [Bug 599842] Re: doesn't integrate at all on
thunderbird 3.1
Von: Ian van Broesel <email address hidden>
An: Bug 599842 <email address hidden>
Datum: Mon Aug 02 2010 23:07:50 GMT+0200 (CET)

> There was no output. But the file was created, besides file size is 0 k
>
> -------- Original-Nachricht --------
> Betreff: [Bug 599842] Re: doesn't integrate at all on thunderbird 3.1
> Von: Ruben Verweij <email address hidden>
> An: <email address hidden>
> Datum: Mon Aug 02 2010 22:44:06 GMT+0200 (CET)
>
>> python indicator.py indicator-fifo mkfifoonly

Nikke (nmellegard) wrote :

I tried Ruben's command from comment #19, and can confirm Ian comment #21. Added a few more notes...

I tested the following:
1. Ran the command with the file created as in comment #15 still in the folder: No output, and no change in the folder (the indicator-fifo still existed as a normal file with its previous content intact).

2. Removed the old indicator-fifo file and re-ran the command. No output, but the file indicator-fifo was created as a pipe (ls -l shows 'prw-r--r--') with no contents. Thunderbird will run but does not show the GUI; it remains running as a process, but nothing shows up. Furthermore, trying to show the contents of the (empty) indicator-fifo in a terminal with the command 'less -f indicator-fifo' freezes the terminal -- it doesn't even respond to ctrl-c.

Hope it helps
/N

Ruben Verweij (ruben-verweij) wrote :

Thank you all for your answers. I have given the code a complete makeover (:P) and I hope it'll work now. Could someone please test this with the latest version from trunk? Open a terminal, install bazaar if needed (sudo apt-get install bzr) and type bzr branch lp:libnotify-mozilla to get the new version. Now run the build.sh file and a .xpi should be created which you can install in Thunderbird. Thanks in advance!

Changed in libnotify-mozilla:
status: Incomplete → In Progress
Shrijit Nair (shrijith1) wrote :

Not working with me still :( [Ubuntu 10.04/ TB 3.1.1] Created the xpi file as per your advice. The error console shows:

Error: this.indicatorStream is null
Source File: chrome://tbindicator/content/overlay.js
Line: 253

Anybody else got this to work?

Nikke (nmellegard) wrote :

I get the same error with this version as before, I'm afraid:

[tbindicator]: fifopath: /tmp/thunderbird.tbindicator.default-fifo883

Error: uncaught exception: [Exception... "Component returned failure code: 0x80520012 (NS_ERROR_FILE_NOT_FOUND) [nsIFileOutputStream.init]" nsresult: "0x80520012 (NS_ERROR_FILE_NOT_FOUND)" location: "JS frame :: chrome://tbindicator/content/overlay.js :: initIndicators :: line 237" data: no]

The file /tmp/thunderbird.tbindicator.default-fifo883 doesn't get created...

However, running the create fifo command manually works:
python indicator.py /tmp/indicator-fifo-800 mkfifoonly

The pipe-file indicator-fifo-800 now exists in /tmp

I've also tried sprinkling the indicator.py with print statements to see what input it gets. But, running TB from command line, none of the print-outs appear... Should those printouts appear, or might there be some issue with calling the python file (the pythonpath log entry written from overlay.js appears fine, though)?

/N

I'm on TB 3.1.2. now. Installed the indicator applet from the trunk.
I can confirm the above:

Error: uncaught exception: [Exception... "Component returned failure code: 0x80520012 (NS_ERROR_FILE_NOT_FOUND) [nsIFileOutputStream.init]" nsresult: "0x80520012 (NS_ERROR_FILE_NOT_FOUND)" location: "JS frame :: chrome://tbindicator/content/overlay.js :: initIndicators :: line 237" data: no]

I also got

Failed to load XPCOM component: /***/.thunderbird/8k3yenjg.default/extensions/{9533f794-00b4-4354-aa15-c2bbda6989f8}/components/libnptray_x86_64.so

Not sure if that is related, though.

LIU YU FEI (hoveringnowings) wrote :

// using trunk version

just cd into ~/.<email address hidden>/python

chmod +x indicator.py

Then the entries will appear in the indicator menu.......

LIU YU FEI (hoveringnowings) wrote :

// using stable 0.2.1

just cd into ~/.<email address hidden>/python

chmod +x indicator.py

Then it works perfectly...

However, I want the notification for sub-folders.

Nikke (nmellegard) wrote :

I can confirm Liu Yu Fei's comment #27 & 28. Setting execution permissions fixes the problem reported in #25.

Popup messages work, as well as the entries in the messaging menu.

/N

Well, I can confirm that this way the entries appear in the messaging menu,
however python eats up 95% CPU power continously + writes a lot of stuff on the hard drive.

This is with trunk and stable versions both.

Ruben Verweij (ruben-verweij) wrote :

Thanks for all your testing and comments on this bug. Obviously, the python file causes more problems than functionality. I received an email from Chris Coulson (desktop team member for Canonical) who suggested ctypes. I will work on porting it to ctypes and get back to you when I have made some progress. Thanks for your patience.

Sergio PC (sergserg666) wrote :

Yep same bug, lucid 64 bit, no libnotify after TB update.

Phan Trọng Khanh (khanhpt) wrote :

It works after i chmod +x indicator.py
Thunderbird 3.1.2, Ubuntu 10.04, trunk version.

Ruben Verweij (ruben-verweij) wrote :

I have fixed the fifo file behaviour and it should now work again. Could someone please test this using the latest trunk version?
@Phan Trong Khanh: That was precisely the issue. Apparently this is an upstream bug. See this blog: http://blog.mozilla.com/addons/2010/01/22/broken-executables-in-extensions-in-firefox-3-6/

Changed in libnotify-mozilla:
status: In Progress → Fix Committed
status: Fix Committed → Incomplete
Shrijit Nair (shrijith1) wrote :

Confirmed! Trunk version works perfectly on TB 3.1.2 (Ubuntu 10.04)

Thanks Ruben!

I confirm also, Trunk version works on Thunderbird 3.1.2/Ubuntu 10.04

Changed in libnotify-mozilla:
status: Incomplete → Confirmed
status: Confirmed → Incomplete
Sergio PC (sergserg666) wrote :

Working trunk version, 10.04 64bit, thunderbird 3.1.2
Thanks DEV!!

Changed in libnotify-mozilla:
status: Incomplete → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers